<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Dot.InheritanceGenerator</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../Dot.html" >Dot</a>
</div><div class="class-name">class InheritanceGenerator

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/Dot.py.html" target="detail">../Synopsis/Formatters/Dot.py</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line101" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="InheritanceGenerator-inheritance" src="InheritanceGenerator-inheritance.png" hspace="8" vspace="8" border="0" usemap="#InheritanceGenerator-inheritance_map" />
<map name="InheritanceGenerator-inheritance_map"><area alt="Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html" href="SingleInheritanceGenerator.html" shape="rect" coords="5, 156, 323, 180" />
<area alt="Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html" href="DotFileGenerator.html" shape="rect" coords="33, 7, 295, 31" />
</map>
 <div class="doc">A Formatter that generates an inheritance graph. If the 'toc' argument is not None&#44;
   it is used to generate URLs. If no reference could be found in the toc&#44; the node will
   be grayed out.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="aggregation">aggregation</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line113" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="toc">toc</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line114" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="scope">scope</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line115" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__type_ref">__type_ref</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line123" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__type_label">__type_label</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line124" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__no_descend">__no_descend</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line125" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="nodes">nodes</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line126" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">direction</span>, <span class="variable">operations</span>, <span class="variable">attributes</span>, <span class="variable">aggregation</span>, <span class="variable">toc</span>, <span class="variable">prefix</span>, <span class="variable">no_descend</span>, <span class="variable">bgcolor</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line105" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="type_ref">type_ref</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.type_ref" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line128" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="type_label">type_label</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.type_label" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line129" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="parameter">parameter</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.parameter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line130" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="InheritanceGenerator.html#format_type" >format_type</a></span>(<span class="variable">self</span>, <span class="variable">typeObj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.format_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line132" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="clear_type">clear_type</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.clear_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line139" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="InheritanceGenerator.html#get_class_name" >get_class_name</a></span>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.get_class_name" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line144" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the name of the given class node&#44; relative to all its
      parents.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_modifier_type">visit_modifier_type</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_modifier_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line165" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_unknown_type">visit_unknown_type</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_unknown_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line171" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_builtin_type_id">visit_builtin_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_builtin_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line176" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_dependent_type_id">visit_dependent_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_dependent_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line181" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declared_type_id">visit_declared_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_declared_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line186" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parametrized_type_id">visit_parametrized_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_parametrized_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line194" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_template_id">visit_template_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_template_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line208" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_inheritance">visit_inheritance</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_inheritance" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line217" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class">visit_class</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_class" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line227" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_operation">visit_operation</a>(<span class="variable">self</span>, <span class="variable">operation</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_operation" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line273" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_variable">visit_variable</a>(<span class="variable">self</span>, <span class="variable">variable</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.visit_variable" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line278" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from DotFileGenerator">
<tr><td colspan="2" class="heading">Attributes Inherited from DotFileGenerator</td></tr>
<tr><td class="inherited"><a href="DotFileGenerator.html#__os" title="attribute DotFileGenerator.__os">__os</a>,
<a href="DotFileGenerator.html#direction" title="attribute DotFileGenerator.direction">direction</a>,
<a href="DotFileGenerator.html#bgcolor" title="attribute DotFileGenerator.bgcolor">bgcolor</a>,
<a href="DotFileGenerator.html#light_color" title="attribute DotFileGenerator.light_color">light_color</a></td></tr></table>
<table width="100%" summary="Methods Inherited from DotFileGenerator">
<tr><td colspan="2" class="heading">Methods Inherited from DotFileGenerator</td></tr>
<tr><td class="inherited"><a href="DotFileGenerator.html#write" title="method DotFileGenerator.write">write</a>,
<a href="DotFileGenerator.html#write_node" title="method DotFileGenerator.write_node">write_node</a>,
<a href="DotFileGenerator.html#write_edge" title="method DotFileGenerator.write_edge">write_edge</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_type">format_type</a>(<span class="variable">self</span>, <span class="variable">typeObj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.format_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line132" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a reference string for the given type object</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="get_class_name">get_class_name</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.InheritanceGenerator.get_class_name" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line144" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the name of the given class node&#44; relative to all its
      parents. This makes the graph simpler by making the names shorter</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
